FdBlackScholesRebateEngine Class Reference
Pricing engines » Barrier option engines

Finite-Differences Black Scholes barrier option rebate helper engine. More...

`#include <ql/pricingengines/barrier/fdblackscholesrebateengine.hpp>`

Inheritance diagram for FdBlackScholesRebateEngine:
[legend]

## Public Member Functions

| FdBlackScholesRebateEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size tGrid=100, Size xGrid=100, Size dampingSteps=0, const FdmSchemeDesc &schemeDesc=FdmSchemeDesc::Douglas(), bool localVol=false, Real illegalLocalVolOverwrite=-Null< Real >())
void | calculate () const
Public Member Functions inherited from GenericEngine< DividendBarrierOption::arguments, DividendBarrierOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members

Protected Attributes inherited from GenericEngine< DividendBarrierOption::arguments, DividendBarrierOption::results >
DividendBarrierOption::arguments | arguments_
DividendBarrierOption::results | results_

## Detailed Description

Finite-Differences Black Scholes barrier option rebate helper engine.